Problem deploying Rails 2.0.2 app in Tomcat

Hi,
I am trying to run rails application in Tomcat.While running I am
getting fallowing exception.

I am using JRuby-1.0.3 version.

Jan 22, 2008 4:15:26 PM org.apache.catalina.core.ApplicationContext log
INFO: Failed to load Rails: No such file or directory -
C:/Tomcat-5.5.12/bin/C:
file:/C:/Tomcat-5.5.12/webapps/Workorders/WEB-INF/lib/jruby-complete-1.0
.jar!/pathname.rb:420:in realpath_rec' file:/C:/Tomcat-5.5.12/webapps/Workorders/WEB-INF/lib/jruby-complete-1.0 .jar!/pathname.rb:453:inrealpath’
C:/Tomcat-5.5.12/webapps/Workorders/WEB-INF/gems/gems/rails-2.0.2/lib/in
itializer.rb:495:in set_root_path!' C:/Tomcat-5.5.12/webapps/Workorders/WEB-INF/gems/gems/rails-2.0.2/lib/in itializer.rb:461:ininitialize’
C:/Tomcat-5.5.12/webapps/Workorders//config/boot.rb:40:in new' C:/Tomcat-5.5.12/webapps/Workorders//config/boot.rb:40:inrun’
C:/Tomcat-5.5.12/webapps/Workorders//config/boot.rb:40:in run' C:/Tomcat-5.5.12/webapps/Workorders//config/boot.rb:11:inboot!’
C:/Tomcat-5.5.12/webapps/Workorders//config/boot.rb:109
file:/C:/Tomcat-5.5.12/webapps/Workorders/WEB-INF/lib/jruby-complete-1.0
.jar!/META-INF/jruby.home/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:i
n require' file:/C:/Tomcat-5.5.12/webapps/Workorders/WEB-INF/lib/jruby-complete-1.0 .jar!/META-INF/jruby.home/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:i nrequire’
C:/Tomcat-5.5.12/webapps/Workorders//config/environment.rb:12
:0

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs